Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637016 - <sys-libs/glibc-2.25-r10: upstream bugfix to pull in to sys-libs/glibc patchset, affects at least dev-lang/lua
Summary: <sys-libs/glibc-2.25-r10: upstream bugfix to pull in to sys-libs/glibc patchs...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/git/?p=glibc.g...
Whiteboard:
Keywords:
Depends on: 647062
Blocks:
  Show dependency tree
 
Reported: 2017-11-10 00:08 UTC by Patrick McLean
Modified: 2018-04-21 21:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick McLean gentoo-dev 2017-11-10 00:08:18 UTC
Bugfix for glibc, affects lua at least

Here is a redhat bug for the same issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1473680

This affects both glibc 2.25 and 2.26.
Comment 2 Andreas K. Hüttel gentoo-dev 2017-11-12 01:20:24 UTC
These went into the 2.26 patchset: 

commit 4b3ba791a72d1a94dfc81c3fb6e5ad5da35d571c
Author: Andreas Schwab <schwab@suse.de>
Date:   Wed Aug 9 10:36:08 2017 +0200

    Fix s390 version of pt-longjmp.c

 sysdeps/unix/sysv/linux/s390/pt-longjmp.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db764102a25cfba43b5217379b8379b460719170
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Aug 8 17:44:32 2017 +0200

    Add test for bug 21041

 nptl/Makefile                   |  6 ++++--
 nptl/tst-compat-forwarder-mod.c | 28 ++++++++++++++++++++++++++++
 nptl/tst-compat-forwarder.c     | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 2 deletions(-)

commit e4014f0270bed6e634fda290a6826661c385e13b
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Aug 8 16:21:58 2017 +0200

    Don't use IFUNC resolver for longjmp or system in libpthread (bug 21041)
    
    Unlike the vfork forwarder and like the fork forwarder as in bug 19861,
    there won't be a problem when the compiler does not turn this into a tail
    call.

 nptl/pt-longjmp.c | 31 ++++++++++---------------------
 nptl/pt-system.c  | 24 ++++++++----------------
 2 files changed, 18 insertions(+), 37 deletions(-)
Comment 3 Larry the Git Cow gentoo-dev 2017-11-12 14:16:38 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02056778ea5961e77a59a7a246b355c1225c7404

commit 02056778ea5961e77a59a7a246b355c1225c7404
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-11-12 12:28:38 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-11-12 14:15:28 +0000

    sys-libs/glibc: Re-add keywords to glibc 2.26
    
    Bug: https://bugs.gentoo.org/492814
    Bug: https://bugs.gentoo.org/622694
    Bug: https://bugs.gentoo.org/617938
    Bug: https://bugs.gentoo.org/466176
    Bug: https://bugs.gentoo.org/628768
    Bug: https://bugs.gentoo.org/637016
    Bug: https://bugs.gentoo.org/636934
    Bug: https://bugs.gentoo.org/381391
    Bug: https://bugs.gentoo.org/636158
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 sys-libs/glibc/glibc-2.26-r3.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)}
Comment 4 Andreas K. Hüttel gentoo-dev 2017-12-12 00:31:38 UTC
This went into the 2.25 patchset: 

commit 1956e34afe323d495ed21be0901ca562e4024935
Author: Andreas Schwab <schwab@suse.de>
Date:   Wed Aug 9 10:36:08 2017 +0200

    Fix s390 version of pt-longjmp.c

 sysdeps/unix/sysv/linux/s390/pt-longjmp.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c2e97de0adcafae62d01c4af3c63026a98b380d7
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Aug 8 16:21:58 2017 +0200

    Don't use IFUNC resolver for longjmp or system in libpthread (bug 21041)
    
    Unlike the vfork forwarder and like the fork forwarder as in bug 19861,
    there won't be a problem when the compiler does not turn this into a tail
    call.

 nptl/pt-longjmp.c | 31 ++++++++++---------------------
 nptl/pt-system.c  | 24 ++++++++----------------
 2 files changed, 18 insertions(+), 37 deletions(-)
Comment 5 Andreas K. Hüttel gentoo-dev 2018-01-17 22:57:40 UTC
Also fixed in 2.25-r10.
Comment 6 Andreas K. Hüttel gentoo-dev 2018-04-21 21:29:03 UTC
(In reply to Andreas K. Hüttel from comment #5)
> Also fixed in 2.25-r10.

Is now stable everywhere